summaryrefslogtreecommitdiffstats
path: root/multimedia/gstreamer0
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2021-01-30 10:49:26 +0100
committer Robby Workman <rworkman@slackbuilds.org>2021-04-17 23:27:33 -0500
commit3b0bd8ecd9f8d7140b2d557fe8adde26697186d3 (patch)
tree543cf23c9af4b31a08867d3b43acb2ebe9e38e5f /multimedia/gstreamer0
parenta583506a28ce6dd2ee985f1b2bb685faebf46696 (diff)
downloadslackbuilds-3b0bd8ecd9f8d7140b2d557fe8adde26697186d3.tar.gz
slackbuilds-3b0bd8ecd9f8d7140b2d557fe8adde26697186d3.tar.xz
multimedia/gstreamer0: Added (streaming multimedia framework, v0).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'multimedia/gstreamer0')
-rw-r--r--multimedia/gstreamer0/gstreamer-0.10.36-bison3.patch31
-rw-r--r--multimedia/gstreamer0/gstreamer0.SlackBuild113
-rw-r--r--multimedia/gstreamer0/gstreamer0.info10
-rw-r--r--multimedia/gstreamer0/slack-desc19
4 files changed, 173 insertions, 0 deletions
diff --git a/multimedia/gstreamer0/gstreamer-0.10.36-bison3.patch b/multimedia/gstreamer0/gstreamer-0.10.36-bison3.patch
new file mode 100644
index 0000000000..f569b1d85c
--- /dev/null
+++ b/multimedia/gstreamer0/gstreamer-0.10.36-bison3.patch
@@ -0,0 +1,31 @@
+From 60516f4798894f958fc53b470e1283318d0f8706 Mon Sep 17 00:00:00 2001
+From: Kerrick Staley <kerrick@kerrickstaley.com>
+Date: Wed, 21 Aug 2013 06:59:29 +0000
+Subject: parse: make grammar.y work with Bison 3
+
+YYLEX_PARAM is no longer supported in Bison 3.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=706462
+---
+diff --git a/gst/parse/grammar.y b/gst/parse/grammar.y
+index 24fc87b..7f9dd16 100644
+--- a/gst/parse/grammar.y
++++ b/gst/parse/grammar.y
+@@ -26,7 +26,6 @@
+ */
+
+ #define YYERROR_VERBOSE 1
+-#define YYLEX_PARAM scanner
+
+ #define YYENABLE_NLS 0
+
+@@ -648,6 +647,7 @@ static int yyerror (void *scanner, graph_t *graph, const char *s);
+ %right '.'
+ %left '!' '='
+
++%lex-param { void *scanner }
+ %parse-param { void *scanner }
+ %parse-param { graph_t *graph }
+ %pure-parser
+--
+cgit v0.9.0.2-2-gbebe
diff --git a/multimedia/gstreamer0/gstreamer0.SlackBuild b/multimedia/gstreamer0/gstreamer0.SlackBuild
new file mode 100644
index 0000000000..b598b2b733
--- /dev/null
+++ b/multimedia/gstreamer0/gstreamer0.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Slackware build script for gstreamer0
+
+# Copyright 2008 Robby Workman, Northport, Alabama, USA
+# Copyright 2008 Michiel van Wessem <michiel@slackbuilds.org>
+# Copyright 2008, 2009, 2010, 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2021 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gstreamer0
+SRCNAM=gstreamer
+VERSION=${VERSION:-0.10.36}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING* INSTALL MAINTAINERS NEWS README* RELEASE TODO"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -p1 < $CWD/gstreamer-0.10.36-bison3.patch || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --disable-debug \
+ --disable-gst-debug \
+ --enable-glib-asserts=no \
+ --with-package-name='gstreamer' \
+ --with-package-origin='http://gstreamer.freedesktop.org' \
+ --build=$ARCH-slackware-linux || exit 1
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/gstreamer0/gstreamer0.info b/multimedia/gstreamer0/gstreamer0.info
new file mode 100644
index 0000000000..4fb19812ae
--- /dev/null
+++ b/multimedia/gstreamer0/gstreamer0.info
@@ -0,0 +1,10 @@
+PRGNAM="gstreamer0"
+VERSION="0.10.36"
+HOMEPAGE="https://gstreamer.freedesktop.org"
+DOWNLOAD="https://gstreamer.freedesktop.org/src/gstreamer/gstreamer-0.10.36.tar.xz"
+MD5SUM="15389c73e091b1dda915279c388b9cb2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/multimedia/gstreamer0/slack-desc b/multimedia/gstreamer0/slack-desc
new file mode 100644
index 0000000000..31bcf2128f
--- /dev/null
+++ b/multimedia/gstreamer0/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gstreamer0: gstreamer0 (streaming multimedia framework, v0)
+gstreamer0:
+gstreamer0: GStreamer is a library that allows the construction of graphs of a
+gstreamer0: media-handling components, ranging from simple Ogg/Vorbis playback
+gstreamer0: to complex audio (mixing) and video (non-linear editing) processing.
+gstreamer0: Applications can take advantage of advances in codec and filter
+gstreamer0: technology transparently. Developers can add new codecs and filters
+gstreamer0: by writing a simple plugin with a clean, generic interface.
+gstreamer0:
+gstreamer0: GStreamer is released under the LGPL.
+gstreamer0: